Lua_SacredSkillWindow = class("Lua_SacredSkillWindow", Lua_Window);
function Lua_SacredSkillWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_SacredSkillWindow";
	self.skinName = "SacredAnimalSkill_skin";
	self.isClickClose = true;
	self.blackAlpha = 1 / 255;
	self.showClose = false;
end

function Lua_SacredSkillWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.maskBg:setDepth(3500);
end

function Lua_SacredSkillWindow:showWin(param)
	self.data = param;

	self.skillIcon:setAltas(self.data.atlas, self.data.skill_icon);

	self.skillName.text = self.data.name .. "：Lv." .. self.data.skill_lvl;
	self.skillType.text = LanUtil.formateStr(LanUtil.getValue(124614), self.data.desc_name);
	self.skillDes.text = self.data.reMark;

	if self.data.activation_state ~= nil then
		self.skilltips.text = self.data.skill_open_des;
	else
		self.skilltips.text = "";
	end
end

function Lua_SacredSkillWindow:dispose()
	Lua_MsgUtil.callFunc("UPDATE_SHOWSKILL_SELECT", false);
	self:superCall("dispose");
end