Lua_TxtDesItem = class("Lua_TxtDesItem", Lua_ListCell);
function Lua_TxtDesItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_TxtDesItem:buildShowItem()
	self:superCall("buildShowItem");

	self.label = UICreate.createLabel(self.content, "", 0, 0, 260, 30, 22);
	self.label.pivot = UIWidget.Pivot.Left;
	self.label.overflowMethod = UILabel.Overflow.ClampContent;
	self.label:setDepth(5);
end

function Lua_TxtDesItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.label.text = data.str;
end

function Lua_TxtDesItem:dispose()
	if self.label ~= nil then
		self.label:dispose();
		self.label = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end