Lua_ArmyPropItem = class("Lua_ArmyPropItem", Lua_DisplayObject);
function Lua_ArmyPropItem:ctor(p)
	self:superCall("ctor", p, "ArmyPropItem_skin");
end

function Lua_ArmyPropItem:setPropNnmetype(val)
	self.propType = val;
	self.content.name = "Lua_ArmyPropItem"..val;
end

function Lua_ArmyPropItem:setValue(data)
	self.prop_base.text = data.base;

	if data.isActivate == 1 then
		if data.isMax == false then
			self.prop_add.text = data.next_base;

			self.prop_base:setLocation(0, 0, 0);
			if self.propType == 5 then
				self.add:setLocation(210, 0, 0);
				self.prop_add:setLocation(225, 0, 0);
			else
				self.add:setLocation(170, 0, 0);
				self.prop_add:setLocation(195, 0, 0);
			end
			self.add:setEnable(true);
			self.prop_add:setEnable(true);
		else
			self.prop_base:setLocation(80, 0, 0);
			self.add:setEnable(false);
			self.prop_add:setEnable(false);
		end
	else
		self.prop_base:setLocation(80, 0, 0);
		self.add:setEnable(false);
		self.prop_add:setEnable(false);
	end
end

function Lua_ArmyPropItem:dispose()
	self:superCall("dispose");
end