-- 军魂技能 item
Lua_ArmySkillItem = class("Lua_ArmySkillItem", Lua_DisplayObject);
function Lua_ArmySkillItem:ctor(p)
	self:superCall("ctor", p, "ArmySkillItem_skin");
end

function Lua_ArmySkillItem:buildShowItem()
	self:superCall("buildShowItem");

	self.skillIcon.clickScale = false;
end

function Lua_ArmySkillItem:setSkillInfo(data)
	self.data = data;

	self.skillIcon:setAltas(data.skill_atlas, data.skill_icon);
	self.skill_lvl.text = data.show_lvl;

	if data.activate == 0 then -- 未激活
		self.bg:setGray(true);
		self.skillIcon:setGray(true);

		self.skill_tips.text = data.activation_lvl;
		self.skill_tips:setEnable(true);
	else
		self.bg:setGray(false);
		self.skillIcon:setGray(false);

		self.skill_tips:setEnable(false);
	end

	if data.skill_class == 2 then
		self.skill_tips:setEnable(false);
		self.skill_lvl:setEnable(false);
	elseif data.skill_class == 3 then
		self.skill_tips:setEnable(false);
	end
end

function Lua_ArmySkillItem:setCanClick(val)--卡牌背景添加点击方法
	if val == true then
		self.skillIcon.mouseEnable = true;
		self.skillIcon:addClickFuntion(self, self.onIconClick);
	else
		self.skillIcon.mouseEnable = false;
		self.skillIcon:removeClickFuntion(self, self.onIconClick);
	end
end

function Lua_ArmySkillItem:onIconClick(go)
	if self.data.skill_class == 2 then
		Lua_WindowUtil.openWin("Lua_ArmyEquipSkillWindow", nil, self.data);
	else
		Lua_WindowUtil.openWin("Lua_ArmySoulSkillWindow", nil, self.data);
	end
end

function Lua_ArmySkillItem:dispose()
	self:superCall("dispose");
end