-- 披风系统
checkRequire("Lua_CloakSubPanel");
Lua_CloakPanel = class("Lua_CloakPanel", Lua_DisplayObject);
function Lua_CloakPanel:ctor(p)
    self:superCall("ctor", p, nil);
end

function Lua_CloakPanel:buildShowItem()
	self:superCall("buildShowItem");
	
	self.cloakSubPanle = Lua_CloakSubPanel.new(self.content);
	self.btnList = Lua_DragSubButtonList.new(self.content, 1, Vector4(0, -240, 188, 540),Vector3(170, 66, 0), Vector3(164, 66));
	self.btnList:setLocation(-529, 243, 0);
	self.btnList.clickDrawBack = true;
	self.btnList:setDepth(5);
	self.isSelect = false;
	Lua_ProxyManager.getProxy("Lua_CloakProxy"):sOpenCloakPanelInfo();

	self:addLuaEvent("UPDATE_CLOAK_INFO", self, self.onUpdateItemChange);
	self:addLuaEvent("PACK_CLOAK_UPDATE",self, self.onUpdateItemChange);
end

function Lua_CloakPanel:onUpdateItemChange()
	local arr = DataCenter.cloakData.getCloakInfo;
	self.btnList:setData(arr, self, self.onButtonListClick,1);
	if self.isSelect == false then
		self.isSelect = true;
		self.btnList:setMainSlected(1, 1);
	else
		self.btnList.lastMainSelected = nil;
		self.btnList:setMainSlected(DataCenter.cloakData.selectClass,DataCenter.cloakData.selectGroup);
	end

	self:updateShowRodDataList();
end

function Lua_CloakPanel:onButtonListClick(data)
	self.selectedData = data;
	self.cloakSubPanle:setData(data.data);
	DataCenter.cloakData.selectCloakId = data.data.cloak_id;
	self:updateShowRodDataList();
end

function Lua_CloakPanel:updateShowRodDataList()
	local redList = DataCenter.cloakData.getCloakClassRed;
    self.btnList:setRedDot(1, redList);
    self:updateShowRed()
end

function Lua_CloakPanel:updateShowRed()
	if self.selectedData == nil then
		return;
	end

	local redList = DataCenter.cloakData.getCloakSubRed
    self.btnList:setRedDot(2, redList[self.selectedData.mainIndex]);
end