--军魂强化

Lua_ArmyEquipIntensifyWindow  = class("Lua_ArmyEquipIntensifyWindow",Lua_Window);
function Lua_ArmyEquipIntensifyWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_ArmyEquipIntensifyWindow";
	self.skinName = "ArmyEquipIntensifyWindow_skin";
end

function Lua_ArmyEquipIntensifyWindow:dispose()
	self:superCall("dispose");
end

function Lua_ArmyEquipIntensifyWindow:buildShowItem()
	self:superCall("buildShowItem");
    self.soul:addClickFuntion(self, self.onOpenTips);
	self.upgradeBtn:addClickFuntion(self, self.onIntensifyBtnClick); -- 强化
	self:addLuaEvent("UPDATE_ARMY_INFO", self, self.unpdteIntensifyInfo);
end

function Lua_ArmyEquipIntensifyWindow:unpdteIntensifyInfo()
	self.vo = DataCenter.armySoulData:getArmyEquipInfo(self.data.army_id,self.data.part);
	self.nameTxt.text = self.vo.intensify_name;
	self.propTxt.text = self.vo.armyIntensifyProp;
    self.item_icon:setAltas(tostring(self.vo.armyEquipVo.atlas), tostring(self.vo.armyEquipVo.referenceId))
    if self.vo.isMaxLvl == true then
        self.spr:SetActive(false);
        self.updateTxt.text = LanUtil.getValue(140538);
        self.updateTxt:setLocation(-38,-64,0);
        self.upgradeBtn:setBtnEnable(false);
    else
        self.spr:SetActive(true);
        self.upgradeBtn:setBtnEnable(true);
        self.soul:setAltas(tostring(self.vo.intensify_info.atlas), tostring(self.vo.intensify_info.id));
    	self.soul.clickScale = false;
        self.addPropTxt.text = self.vo.armyNextIntensifyProp;
        self.updateTxt:setLocation(-118,-64,0);
        if self.vo.isShowIntensifyRed == true then
        	self.red:setEnable(true);
        	self.updateTxt.text = LanUtil.formateStr(LanUtil.getValue(140514),tostring(self.vo.intensify_info.bagNum),tostring(self.vo.intensify_info.needNum));
        else
        	self.red:setEnable(false);
        	self.updateTxt.text = LanUtil.formateStr(LanUtil.getValue(140513),tostring(self.vo.intensify_info.bagNum),tostring(self.vo.intensify_info.needNum));
        end
    end
end

function Lua_ArmyEquipIntensifyWindow:showWin(param)
	self:superCall("showWin", param);
	self.data = self.showData;
	self:unpdteIntensifyInfo();
end

function Lua_ArmyEquipIntensifyWindow:onIntensifyBtnClick()
	if self.vo.isShowIntensifyRed == true then
		Lua_ProxyManager.getProxy("Lua_ArmySoulProxy"):sIntensifyArmyEquip(self.data.army_id,self.data.part)
	else
		OperateAlert.show(LanUtil.getValue(140521));
	end
end

function Lua_ArmyEquipIntensifyWindow:onOpenTips()
	Lua_PackUtil.showItemInfo(self.vo.intensify_info,false)
end