-- 技能描述
Lua_ArmySoulSkillWindow = class("Lua_ArmySoulSkillWindow", Lua_Window);
function Lua_ArmySoulSkillWindow:ctor()
	self:superCall("ctor", self.list);

	self.windowName = "Lua_ArmySoulSkillWindow";
	self.skinName = "ArmySoulSkillWindow_skill"; 
	self.showClose = false;
	self.isClickClose = true;
end

function Lua_ArmySoulSkillWindow:buildShowItem()
	self:superCall("buildShowItem");

	-- self.content.transform.localPosition = Vector3(325, 0, 0);
	LuaUtil.setObjPos(self.content, 325, 0, 0);
end

function Lua_ArmySoulSkillWindow:showWin(param)
	self.skill_name.text = param.skill_name;
	self.skill_type.text = param.skill_type;
	self.skill_cd.text = param.skill_cd;
	self.desTxt1.text = param.base_des;
	self.desTxt2.text = param.next_des;

	if param.is_max_lvl ~= true then
		self.skill_act.text = param.activation_lvl;
		self.skill_act:setEnable(true);
	else
		self.skill_act:setEnable(false);
	end
	self.skill_icon:setAltas(tostring(param.skill_atlas), tostring(param.skill_icon));
end